%==========================================================================

% Code for the replication of the paper "Unconventional Monetary Policy, 
% Fiscal Side Effects and Euro Area (Im)balances", Journal of the European
% Economic Association, by Michael Hachula, Michele Piffer and Malte Rieth

% Michele Piffer, m.b.piffer@gmail.com
% https://sites.google.com/site/michelepiffereconomics/
% October 2018, Queen Mary, University of London

%==========================================================================


clc
clear
close all


%% Select variables in the baseline VAR

choose_base_variab = [175,147,96,88,81,182]; 

%% Select marginal variables, added one at the time to the baseline VAR
    
% Figure 1 and 2, first part: 10Y spreads
%     choose_added_variab   = [24,50,239,268,330,356,385,413,438,478,503,529,554,582,610]; Figure_numb = 2; need_5x5 = 0; 
%     T_irf = 24;

% Figure 2, second part: 10Y yields
%     choose_added_variab   = [20,46,235,264,293,326,352,381,409,434,474,499,525,550,578,606]; Figure_numb = 2; need_5x5 = 0; 
%     T_irf = 24;

% Figure 3: % Other variables
    choose_added_variab   =   [105,118,177,131,133,115,126,103,121,117,116]; Figure_numb = 3; need_5x5 = 1; 
    T_irf = 24;

% Figure 4, 9 and 10: Fiscal side effects at the EA level
%        choose_added_variab = [107,192,188,187,185,183,186,184]; Figure_numb = 4; need_5x5 = 0; 
%        T_irf = 36;

% Figure 5 and 11: Peak effects gov. consumption with comparison across countries
%     choose_added_variab = [5,31,57,204,220,246,276,311,337,363,394,419,443,459,484,510,535,561,591]; Figure_numb = 5; need_5x5 = 0; 
%     T_irf = 36;

% Figure 6, first part: IP
%      choose_added_variab = [1,27,53,216,242,273,307,333,359,390,415,455,480,506,531,557,587]; Figure_numb = 6; need_5x5 = 0; 
%      T_irf = 24;

% Figure 6, second part: CPI
%      choose_added_variab = [2,28,54,217,243,274,308,334,360,391,416,456,481,507,532,558,588]; Figure_numb = 6; need_5x5 = 0; 
%      T_irf = 24;

% Figure 7: Trade vs rest of the EA
%      choose_added_variab = [194, 110, 111]; Figure_numb = 7; need_5x5 = 0; 
%      T_irf = 24;

% Figure 8: Net exports 
%     choose_added_variab  = [17,43,69,215,232,261,290,323,349,378,406,431,454,471,496,547,575,603]; Figure_numb = 8; need_5x5 = 0; 
%     T_irf = 24;


%% Run analysis for Unconventional phase 1

which_phase_considered = 2;  

% Estimate the instrument for the monetary shock
A_ComputeShocksPanel

% Organize data
B_Organize_Data

% Estimate Baseline VAR
add_variables = 0; 
C_RunVARs

% Estimate Marginal VARs
add_variables = 1; 
C_RunVARs

%% Run analysis for Unconventional phase 2

which_phase_considered = 3;  

% Estimate the instrument for the monetary shock
A_ComputeShocksPanel

% Organize data
B_Organize_Data

% Estimate Baseline VAR
add_variables = 0; 
C_RunVARs

% Estimate Marginal VARs
add_variables = 1; 
C_RunVARs


%% Run analysis for Conventional 

% which_phase_considered = 1;  
% 
% % Estimate the instrument for the monetary shock
% A_ComputeShocksPanel
% 
% % Organize data
% B_Organize_Data
% 
% % Change the policy rate
% choose_base_variab(1) = 143; 
% 
% % Baseline VAR
% add_variables = 0; 
% C_RunVARs
% 
% % Marginal VARs
% add_variables = 1; 
% C_RunVARs


'THE END. Now run E_CombineFigures.m'

