function Y_pseudo = zFC_GenerateVARData(Yinit, Ahat, Resid, Ahat_determ, X_determ)


% Michele Piffer, m.b.piffer@gmail.com
% https://sites.google.com/site/michelepiffereconomics/
% October 2018, Queen Mary, University of London


k = size(Ahat,1);
p = size(Ahat,2)/k;
assert( size(Yinit,1) == k)
assert( size(Yinit,2) == p)
T_used = size(Resid,2);
T = T_used + p;

Y_pseudo = zeros(k,T);
Y_pseudo(:,1:p) = Yinit(:,1:p); 

for j=1:T_used 
    step1 = Y_pseudo(:,p+j-p:p+j-1);
    step2 = fliplr(step1);
    step3 = reshape(step2,k*p,1);
    Y_pseudo(:,j+p) =  Ahat*step3 + Ahat_determ*X_determ(j,:)' + Resid(:,j); 
end

end




