function imp_vect_absol = zFC_inconst_to_absol_imp_vect(imp_vect_inconsist, position_indicator, Sigmahat)


% Michele Piffer, m.b.piffer@gmail.com
% https://sites.google.com/site/michelepiffereconomics/
% October 2018, Queen Mary, University of London


step_imp_vect_relat = imp_vect_inconsist/imp_vect_inconsist(position_indicator);
assert( size(Sigmahat,1) == length(step_imp_vect_relat)  ) 
assert( position_indicator == 1 )
mu      = step_imp_vect_relat(2:end);
Sigma11 = Sigmahat(1,1);
Sigma21 = Sigmahat(2:end,1);
Sigma22 = Sigmahat(2:end,2:end);
gamma   = Sigma22 + Sigma11*mu*mu' - Sigma21*mu' - mu*Sigma21';
b12_squared = (Sigma21 - Sigma11*mu)'*gamma^(-1)*(Sigma21 - Sigma11*mu);
b11     = sqrt(Sigma11 - b12_squared); % take the positive solution for b11. If need to flip the sign of the entire b vector, change also the sign of the a vector and of the estimated correlation between instrument and structural shock of interest
step_imp_vect_absol = step_imp_vect_relat*b11;

imp_vect_absol = step_imp_vect_absol;

end

